window.onload = function(){

  //timer paragraph
  window.gTimer = document.getElementById('timer');

  //global var which shows that dinging should be stopped
  window.gStopBeep = false;

};

//function just updates the paragraph with the difference between the future date and the current date
var countBack = function(){

  //get the current date
  var now = new Date();

  //get the difference in seconds between the date when the countdown interval started and the current date
  var diff = Math.round((window.gFutureDate.getTime() - now.getTime())/1000);

  //if we're out of the time, start dinging
  if (diff <= 0 && window.gStopBeep) System.Sound.playSound("Alert.wav");

  //minutes
  var minutes = Math.floor(diff/60);

  //seconds
  var seconds = diff - minutes*60;

  //set the paragraph text 
  window.gTimer.innerHTML = minutes + ':' + (seconds<10 ? '0' + seconds : seconds);

};

//function starts the countback for the certain number of minutes
var startCountBack = function(minutes){

  //clear the previous interval (if there was any)
  window.clearInterval(window.gInterval);

  var minute = 1000 * 60;

  //get current date 
  var now = new Date();

  //reset stop beep to false
  window.gStopBeep = false;

  //get the date object for now+25 minutes
  window.gFutureDate = new Date(now.getTime() + minutes * minute);

  //set the timer to "count back" - every second it will show the remaining difference between this future date and current date
  window.gInterval = window.setInterval(countBack, 1000);
  
};


//function starts the countback for the certain number of minutes
var stopCountBack = function(){

  //clear the previous interval (if there was any)
  window.clearInterval(window.gInterval);

  //reset stop beep to false
  window.gStopBeep = false;

  //set the paragraph text 
  window.gTimer.innerHTML = '0' + ':' + '00';

};

//button functions
var startWork = function(){ startCountBack(25); };

var startShortBreak = function(){ startCountBack(5); };

var startLongBreak = function(){ startCountBack(15); };

var stopWork = function(){ stopCountBack(); };
